<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
wp_register_style( 'woo2app_style', WOO2APP_CSS_URL . 'woo2app_style.css' );
wp_enqueue_style( 'woo2app_style' . WOO2APP_FILES_VER );
if ( get_locale() == 'fa_IR' ) {
	wp_register_style( 'myfont', WOO2APP_CSS_URL . 'font.css' );
	wp_enqueue_style( 'myfont' . WOO2APP_FILES_VER );
}
wp_register_style( 'select2.min.css', WOO2APP_CSS_URL . 'select2.min.css' );
wp_enqueue_style( 'select2.min.css' . WOO2APP_FILES_VER );
wp_enqueue_script( 'select2.min.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'select2.min.js' );
$current_url = "//" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
$args = array(
	'hide_empty' => 0 ,
	'taxonomy' => 'category'
);
$post_cats = get_categories($args);
?>
<label id="error_title" class="hide"> <?= _e( 'Please enter title.', 'woo2app' ) ?></label>
<label id="title_separator" class="hide"> <?= _e( 'Separator ', 'woo2app' ) ?></label>

<div class="div_mainpage1">

    <h4 class="background-color-e5e5e5 padding-7px">
		<?php _e( 'New', 'woo2app' ); ?>
    </h4>
    <table class="form-table width-600px">
        <tr>
            <th>
				<?php _e( 'Type', 'woo2app' ); ?>
            </th>
            <td>
                <select class="regular-text" id="select_action_menu4">
                    <option value="0"><?php _e( 'Separator Line', 'woo2app' ); ?> </option>
                    <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                    <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                    <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                    <option value="4"><?php _e( 'Orders', 'woo2app' ); ?></option>
                    <option value="5"><?php _e( 'Product Listing', 'woo2app' ); ?></option>
                    <option value="6"><?php _e( 'Cart', 'woo2app' ); ?></option>
                    <option value="7"><?php _e( 'Product Search', 'woo2app' ); ?></option>
                    <option value="8"><?php _e( 'Share', 'woo2app' ); ?></option>
                    <option value="9"><?php _e( 'Wishlist', 'woo2app' ); ?></option>
                    <option value="10"><?php _e( 'Category List', 'woo2app' ); ?></option>
                    <option value="11"> <?php _e( 'Blog', 'woo2app' ); ?> </option>
                    <option value="12"> <?php _e( 'Login', 'woo2app' ); ?> </option>
                    <option value="13"> <?php _e( 'Register', 'woo2app' ); ?> </option>
                    <option value="14"> <?php _e( 'Profile', 'woo2app' ); ?> </option>
                    <option value="15"> <?php _e( 'Order Tracking', 'woo2app' ); ?> </option>
                    <option value="16"> <?php _e( 'Call', 'woo2app' ); ?> </option>
                    <option value="17"> <?php _e( 'SMS', 'woo2app' ); ?> </option>
                    <option value="18"> <?php _e( 'Wallet', 'woo2app' ); ?> </option>
                    <option value="19"> <?php _e( 'Invite Friends', 'woo2app' ); ?> </option>
                    <option value="20"> <?php _e( 'Message Inbox', 'woo2app' ); ?></option>
                    <option value="21"> <?php _e( 'Vendors', 'woo2app' ); ?> </option>
                    <option value="22"> <?php _e( 'About', 'woo2app' ); ?> </option>
                    <option value="23"> <?php _e( 'Qr Code', 'woo2app' ); ?></option>
                    <option value="24"> <?php _e( 'Multi-Domain', 'woo2app' ); ?></option>
                    <option value="25"> <?php _e( 'Purchased Files', 'woo2app' ); ?></option>
                    <option value="26"> نوشته ها </option>
                    <option value="27"> دسته بندی نوشته ها </option>
                    <option value="28"> برچسب نوشته ها </option>
                    <option value="29"> خروج از اپلیکیشن </option>
                </select>
                <div class="alert alert-danger hide padding-2px">
					<?php _e( 'Please select action.', 'woo2app' ); ?>
                </div>
            </td>
        </tr>
        <tr class="hide" id="product_list">
            <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
            <td>
                <select name="product1" data-id="product"
                        data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                        id="value_post_items_menu4"
                        class="js-data-example-ajax regular-text">
                </select>
            </td>
        </tr>
        <tr class="hide" id="category_list">
            <th>  <?php _e( 'Select Category', 'woo2app' ); ?> </th>
            <td>
                <select id="value_cat_items_menu4"
                        class="js-example-basic-single regular-text"
                        data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
                    <option value="0"><?php _e( 'Choose your category', 'woo2app' ); ?></option>
					<?php
					$args = array(
						'hide_empty' => 0,
						'taxonomy'   => 'product_cat'
					);
					$cats = get_categories( $args );
					foreach ( $cats as $cat ) {
						?>
                        <option value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr  class="hide" id="el_post">
            <th scope="row" class="titledesc">
                <label> <?php _e('Post', 'woo2app'); ?></label>
            </th>
            <td class="forminp">
                <select name="post" id="value_post_notif4" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="el_post_cats">
            <th scope="row" class="titledesc">
                <label>  دسته بندی نوشته ها </label>
            </th>
            <td class="forminp">
                <select class="regular-text" name="post_cat" id="post_cat4">
				    <?php
				    foreach ($post_cats as $cat) {
					    ?>
                        <option class="text-right" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
					    <?php
				    }
				    ?>
                </select>
            </td>
        </tr>
        <tr valign="top" class="hide" id="el_post_tags">
            <th scope="row" class="titledesc">
                <label> برچسب های نوشته </label>
            </th>
            <td class="forminp">
                <select name="post"  data-id="postTags" id="post_tag4" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="link_list">
            <th> <?php _e( 'Link', 'woo2app' ); ?> </th>
            <td>
                <input id="value_link_items_menu4" type="text" class="regular-text"
                       placeholder="{http | https}://yoursite.com">
            </td>
        </tr>
        <tr class="hide" id="tell_list">
            <th> <?php _e( 'Phone', 'woo2app' ); ?> </th>
            <td>
                <input id="value_tell_items_menu4" type="text" class="regular-text"
                       placeholder="<?php _e( 'Phone Number', 'woo2app' ); ?>">
            </td>
        </tr>
        <tr class="hide" id="title_menu">
            <th> <?php _e( 'Title', 'woo2app' ); ?> </th>
            <td>
                <input placeholder="<?php _e( 'Title', 'woo2app' ); ?>"
                       id="value_title_menu4" type="text" class="regular-text">
            </td>
        </tr>
        <tr class="hide" id="inviter_help">

            <th> <?php _e( 'Invitation Message', 'woo2app' ); ?>  </th>
            <td>
                    <textarea id="value_moaref_items_menu4" type="text"
                              class="regular-text"
                              placeholder="<?php _e( 'Enter Your Text', 'woo2app' ); ?> "></textarea>
                <p class="p_moaref_items_menu4">
                    <a href="https://apppash.com/woocommerce-marketing/"
                       target="_blank"> <?php _e( 'Guide', 'woo2app' ); ?> </a>
                </p>
            </td>
        </tr>
        <tr class="hide" id="custom_paragraph">
            <th>
				<?php _e( 'About Content', 'woo2app' ); ?>
            </th>
            <td>
                    <textarea id="p_custom_paragraph1" type="text" class="regular-text"
                              placeholder="<?php _e( 'Enter Text', 'woo2app' ); ?>"></textarea>
            </td>
        </tr>
        <tr id="sort_product_list" class="hide">
            <th> <?php _e( 'Sort', 'woo2app' ); ?> </th>
            <td>
                <select id="sort_product_value1" class="regular-text">
                    <option value=""> <?php _e( 'Default ', 'woo2app' ); ?></option>
                    <option value="orderby=popularity&order=DESC"> <?php _e( 'Popularity', 'woo2app' ); ?> </option>
                    <option value="orderby=date&order=DESC"> <?php _e( 'Newest', 'woo2app' ); ?> </option>
                    <option value="orderby=price&order=ASC"> <?php _e( 'Lowest price ', 'woo2app' ); ?></option>
                    <option value="orderby=price&order=DESC"> <?php _e( 'Highest price', 'woo2app' ); ?> </option>
                    <option value="orderby=selling&order=DESC"> <?php _e( 'Bestseller', 'woo2app' ); ?> </option>
                </select>
            </td>
        </tr>
        <tr class="hide" id="add_item_hami_div1">
            <th>
				<?php _e( 'Icon', 'woo2app' ); ?>
            </th>
            <td>
                <input type="hidden" id="txt_url_item_hami4"/>
                <img id="div_image_item_hami1" class="float-right"
                     src="<?= WOO2APP_URL . "files/img/96x96&text=icon.png" ?>"/>
                <div id="div_sel_pic_banner1">
                    <button id="btn_sel_pic_banner1"
                            type="button"
                            class="button button-primary float-right margin-top-45px margin-right-5px">
						<?php _e( 'Icon', 'woo2app' ); ?>
                    </button>
                    <div class="clear"></div>
                    <p id="description_icon1">
                    <hr>
					<?php _e( 'Best scale', 'woo2app' ); ?> : 1X1
                    <hr>
					<?php _e( 'Recommended Resolution', 'woo2app' ); ?> : 512X512
                    <hr>
					<?php _e( 'Max Size', 'woo2app' ); ?> : 100KB
                    <hr>
					<?php _e( 'Format', 'woo2app' ); ?> : PNG - JPG - JPEG - GIF
                    </p>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button id="btn_form_menu4" class="button button-primary">
					<?php _e( 'Add', 'woo2app' ); ?>
                </button>
                <img id="img_load1" class="hide width-height-25px"
                     src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            </td>
        </tr>
    </table>

    <h4 class="background-color-e5e5e5 padding-7px">
		<?php _e( 'Items', 'woo2app' ); ?>
    </h4>
    <form name="form_sort" id="form_sort_menu4" method="post" action="">
        <table class="form-table">
            <tbody id="sortable4">
            </tbody>
        </table>
    </form>
    <div>
        <div>
            <img id="img_load_menu4" class="hide width-height-25px"
                 src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            <img id="img_load_sort_menu4" class="hide width-height-25px"
                 src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            <button id="btn_form_order_menu4" class="btn btn-primary btn-sm">
				<?php _e( 'Sort', 'woo2app' ); ?>
            </button>
        </div>
    </div>
    <div>
        <div>
            <div class="alert alert-success hide" id="alert_sort1">
            </div>
        </div>
    </div>
</div>

<?php
wp_enqueue_media();
wp_enqueue_script( 'upload_item_banner.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'upload_item_banner.js', array( 'jquery' ) );
wp_enqueue_script( 'woo2app_menu.js?ver=' . time(), WOO2APP_JS_URL . 'woo2app_menu.js', array( 'jquery' ) );
wp_enqueue_script( 'loadajax.js?ver=' . time(), WOO2APP_JS_URL . 'loadAjaxPosts.js', array( 'jquery' ) );
?>