<?php

wp_register_style( 'woo2app_style', WOO2APP_CSS_URL . 'woo2app_style.css' );
wp_enqueue_style( 'woo2app_style' . WOO2APP_FILES_VER );

if ( get_locale() == 'fa_IR' ) {
	wp_register_style( 'myfont', WOO2APP_CSS_URL . 'font.css' );
	wp_enqueue_style( 'myfont' . WOO2APP_FILES_VER );
}
wp_register_style( 'select2.min.css', WOO2APP_CSS_URL . 'select2.min.css' );
wp_enqueue_style( 'select2.min.css' . WOO2APP_FILES_VER );
wp_enqueue_script( 'select2.min.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'select2.min.js' );

$current_url = "//" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
function updateShowSettingForAll() {
	$showSettingForAll = isset($_POST["showSettingForAll"]) && $_POST["showSettingForAll"] == 'on';
    update_option('showSettingForAll' , $showSettingForAll);
}
function insert_woo2app_shop() {
	$name        = ( $_POST["name"] );
	$subdomain   = ( $_POST["subdomain"] );
	$phone       = ( $_POST["phone"] );
	$description = ( $_POST["description"] );
	$category    = ( $_POST["category"] );
	$state    = ( $_POST["state"] );
	$pic         = ( $_POST["src_val"] );
	$mainDomain         = isset($_POST["mainDomain"]) && $_POST["mainDomain"] == 'on';
	$uniqid      = uniqid();

	$array   = get_option( "mr2app_shop" );
	$array[] = array(
		"uniqid"      => $uniqid,
		"name"        => $name,
		"phone"       => $phone,
		"description" => $description,
		"subdomain"   => $subdomain,
		"icon"        => $pic,
		"category"    => $category,
		"state"    => $state,
		"mainDomain"    => $mainDomain,
		"createAt"    => time(),
		"updateAt"    => time(),

	);
	update_option( "mr2app_shop", $array );
}

function update_woo2app_shop() {
	if ( isset( $_GET['field'] ) ) {
		if ( $_GET['field'] != "" ) {
			$name        = ( $_POST["name"] );
			$subdomain   = ( $_POST["subdomain"] );
			$phone       = ( $_POST["phone"] );
			$description = ( $_POST["description"] );
			$category    = ( $_POST["category"] );
			$state    = ( $_POST["state"] );
			$mainDomain    = isset($_POST["mainDomain"]) && $_POST["mainDomain"] == 'on';
			$pic         = ( $_POST["src_val"] );
			$key         = $_GET["field"];
			$plans       = get_option( "mr2app_shop" );
			$i           = 0;
			foreach ( $plans as $value ) {
				if ( $key == $value["uniqid"] ) {
					$array[] = array(
						"uniqid"      => $value["uniqid"],
						"name"        => $name,
						"subdomain"   => $subdomain,
						"icon"        => $pic,
						"phone"       => $phone,
						"description" => $description,
						"category"    => $category,
						"state"    => $state,
						"mainDomain"    => $mainDomain,
						"createAt"    => isset($value["createAt"]) ? $value["createAt"] : time(),
						"updateAt"    => time(),
					);
				} else {
					$array[] = array(
						"uniqid"      => $value["uniqid"],
						"name"        => $value["name"],
						"subdomain"   => $value["subdomain"],
						"icon"        => $value["icon"],
						"phone"       => $value["phone"],
						"description" => $value["description"],
						"category"    => $value["category"],
						"state"    => $value["state"],
						"mainDomain"    => $mainDomain,
						"createAt"    => $value["createAt"],
						"updateAt"    => $value["updateAt"],
					);
				}
				$i ++;
			}
			update_option( "mr2app_shop", $array );
			?>
            <p>
				<?php _e( 'Edit done ...', 'woo2app' ); ?>
                <br>
                <a href="admin.php?page=woo2app/woo2app_design/shop.php"> <?php _e( 'back', 'woo2app' ); ?> </a>
            </p>
			<?php
			exit;
			//wp_redirect('admin.php?page=mr2app_sale_meta/sale_meta.php&tab=plans');
		}
	}
}

function delete_woo2app_shop() {
	if ( isset( $_GET['field'] ) ) {
		if ( $_GET['field'] != "" ) {
			$key   = $_GET["field"];
			$plans = get_option( "mr2app_shop" );
			$f     = "";
			$i     = 0;
			foreach ( $plans as $value ) {
				if ( $key == $value["uniqid"] ) {
					$f = $i;
				}
				$i ++;
			}
			array_splice( $plans, $f, 1 );
			update_option( "mr2app_shop", $plans );
			?>
            <p>
				<?php _e( 'The store was deleted ...', 'woo2app' ); ?>
                <br>
                <a href="admin.php?page=woo2app/woo2app_design/shop.php"> <?php _e( 'back ', 'woo2app' ); ?></a>
            </p>
			<?php
			exit;
			//wp_redirect('admin.php?page=mr2app_sale_meta/sale_meta.php&tab=plans');
		}
	}
}

$for_edit                = array();
$for_edit['uniqid']      = '';
$for_edit['name']        = '';
$for_edit['subdomain']   = '';
$for_edit['value']       = '';
$for_edit['phone']       = '';
$for_edit['description'] = '';
$for_edit['category']    = '';
$for_edit['state']    = '';
$for_edit['mainDomain']    = '';
$for_edit['createAt']    = '';
$for_edit['updateAt']    = '';

if ( isset( $_GET["action"] ) ) {
	if ( $_GET['action'] == 'delete' ) {
		delete_woo2app_shop();
	} elseif ( $_GET['action'] == 'edit' ) {
		if (
			isset( $_POST["name"] )
			&& $_POST["name"] != ""
		) {
			update_woo2app_shop();
		} else {
			if ( isset( $_GET['field'] ) ) {
				$plans = get_option( "mr2app_shop" );
				$i     = 0;
				$key   = $_GET['field'];
				foreach ( $plans as $value ) {
					if ( $key == $value["uniqid"] ) {
						$for_edit = array(
							"uniqid"      => $value["uniqid"],
							"name"        => $value["name"],
							"subdomain"   => $value["subdomain"],
							"value"       => $value["icon"],
							"phone"       => $value["phone"],
							"description" => $value["description"],
							"category"    => $value["category"],
							"state"    => $value["state"],
							"mainDomain"    => $value["mainDomain"],
							"createAt"    => $value["createAt"],
							"updateAt"    => time(),
						);
					}
				}
			}
		}
	}
} else {
	if (
		isset( $_POST["name"] )
		&& $_POST["name"] != ""
	) {
		insert_woo2app_shop();
	}
}
if (isset($_POST['updateSetting'])){
	updateShowSettingForAll();
}
$plans = get_option( "mr2app_shop" );
if ( ! is_array( $plans ) ) {
	$plans = array();
}
#categories
$categories = array_map( function ( $value ) {
	return isset($value['category']) ? $value['category'] : '';
}, $plans );
$categories = array_filter( $categories );
$categories = array_unique( $categories );
#states
$states = array_map( function ( $value ) {
	return isset($value['state']) ? $value['state'] : '';
}, $plans );
$states = array_filter( $states );
$states = array_unique( $states );
//echo '<pre>';
//var_dump($for_edit);
//die();
?>
<div class="wrap">
    <h1>
		<?php _e( 'Multi-store', 'woo2app' ); ?>
    </h1>
    <form action="" method="post">
		<?php wp_nonce_field( 'woo2app-admin', 'woo2app-admin' ); ?>
    <table class="form-table">
        <tbody>
        <tr valign="top" class="">
            <th scope="row" class="titledesc">
                <label> نمایش تنظیمات در سایر دامنه ها </label>
            </th>
            <td class="forminp" style="align-items : center;display: flex">
                <input type="checkbox"   class="regular-text" <?= checked(get_option("showSettingForAll")  );?> name="showSettingForAll" />
                <p style="margin-right: 5px"> نمایش تنظیمات دامنه اصلی در تمام زیر دامنه ها </p>
            </td>
        </tr>
        <tr>
            <th scope="row" class="titledesc"></th>
            <td class="forminp">
                <input type="submit"  class="button button-primary" value="بروز رسانی" name="updateSetting">
            </td>
        </tr>
        </tbody>
    </table>
    </form>
    <hr>
    <form action="" method="post">
		<?php wp_nonce_field( 'woo2app-admin', 'woo2app-admin' ); ?>
        <table class="form-table">
            <tbody>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Name', 'woo2app' ); ?> </label>
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" value="<?= $for_edit['name'] ?>" name="name"
                           placeholder=" <?php _e( 'Name', 'woo2app' ); ?>">
                </td>
            </tr>
            <tr>
                <th scope="row" class="titledesc">
                    <label>  <?php _e( 'Domain', 'woo2app' ); ?>  </label>
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" value="<?= $for_edit['subdomain'] ?>" name="subdomain"
                           placeholder="<?php _e( 'Domain OR SubDomain', 'woo2app' ); ?> ">
                </td>
            </tr>

            <tr>
                <th scope="row" class="titledesc">
                    <label> شماره تماس </label>
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" value="<?= $for_edit['phone'] ?>" name="phone"
                           placeholder="شماره تماس">
                </td>

            </tr>
            <tr>
                <th scope="row" class="titledesc">
                    <label> توضیحات </label>
                </th>
                <td class="forminp">
                    <textarea rows="7" class="regular-text"
                              name="description"><?= $for_edit['description'] ?></textarea>
                </td>

            </tr>
            <tr>
                <th scope="row" class="titledesc">
                    <label> دسته بندی </label>
                </th>
                <td class="forminp">
                    <select id="js-shop-category" name='category' class="regular-text">
                        <option value=""> دسته بندی را انتخاب و یا وارد کنید </option>
						<?php
						foreach ( $categories as $cat ) {
							?>
                            <option value="<?= $cat ?>"<?= selected($for_edit['category'] , $cat) ?> ><?= $cat ?></option>
							<?php
						}
						?>
                    </select>
                </td>

            </tr>
            <tr>
                <th scope="row" class="titledesc">
                    <label> استان ها </label>
                </th>
                <td class="forminp">
                    <select id="js-shop-state" name='state' class="regular-text">
                        <option value=""> استان را انتخاب و یا وارد کنید </option>
			            <?php
			            foreach ( $states as $state ) {
				            ?>
                            <option value="<?= $state ?>" <?= selected($for_edit['state'] , $state) ?> ><?= $state ?></option>
				            <?php
			            }
			            ?>
                    </select>
                </td>

            </tr>
            <tr>
                <th scope="row" class="titledesc">
                    <label> دامنه اصلی </label>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="mainDomain" <?= checked($for_edit['mainDomain']  );?> />
                </td>

            </tr>

            <tr valign="top" class="el_type" id="image">
                <th scope="row" class="titledesc">
                    <label dir="rtl">  <?php _e( 'Image', 'woo2app' ); ?>  </label>
                </th>
                <td class="forminp">
                    <input type="hidden" value="<?= $for_edit['value'] ?>" id="txt_url_item_hami" name="src_val">
                    <img id="div_image_item_hami" class="banner cursor-pointer height-128px"
                         src="<?= ( $for_edit['value'] != '' ) ? $for_edit['value'] : 'http://via.placeholder.com/512x512' ?>">
                </td>
            </tr>

            <tr>
                <th scope="row" class="titledesc"></th>
                <td class="forminp">
                    <input type="submit"  class="button" value="<?php _e( 'Save', 'woo2app' ); ?>" name="submit_banner">
                </td>
            </tr>
            </tbody>
        </table>
    </form>
    <hr>
    <table class="wp-list-table widefat striped">
        <tbody>
        <tr valign="top" class="">
            <th scope="row" class="">
                <label> # </label>
            </th>
            <th scope="row" class="">
                <label>  <?php _e( 'Image', 'woo2app' ); ?>  </label>
            </th>
            <th scope="row" class="">
                <label> <?php _e( 'Name', 'woo2app' ); ?>  </label>
            </th>
            <th scope="row" class="">
                <label> <?php _e( 'Domain / SubDomain', 'woo2app' ); ?> </label>
            </th>
            <th scope="row" class="">
                <label>  <?php _e( 'Edit / Delete', 'woo2app' ); ?>  </label>
            </th>
        </tr>
		<?php
		$i = 0;
		foreach ( $plans as $key ) {
			$i ++;
			?>
            <tr valign="top" class="">
                <th scope="row" class="">
                    <label> <?= $i; ?>  </label>
                </th>
                <th scope="row" class="">
                    <img class="width-92px" src="<?= $key['icon'] ?>">
                </th>
                <th scope="row" class="">
                    <label> <?= $key['name']; ?>   </label>
                </th>
                <th scope="row" class="">
                    <label> <?= $key['subdomain']; ?>   </label>
                </th>
                <th scope="row" class="">
                    <a href="<?= $current_url . '&action=edit&field=' . $key['uniqid'] ?>"> <?php _e( 'Edit', 'woo2app' ); ?></a>
                    |
                    <a href="<?= $current_url . '&action=delete&field=' . $key['uniqid'] ?>"
                       class="red">  <?php _e( 'Delete', 'woo2app' ); ?> </a>
                </th>
            </tr>
			<?php
		}
		?>
        </tbody>
    </table>
</div>


<?php
wp_enqueue_script( 'loadajax.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'loadAjaxPosts.js', array( 'jquery' ) );
wp_enqueue_media();
?>
<script>

    var custom_uploader_hami;
    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: '<?php _e( 'Select Image ', 'woo2app' );?>',
            library: {type: 'image'},
            button: {text: '<?php _e( 'Select', 'woo2app' );?>'},
            multiple: false
        });
        custom_uploader_hami.on('select', function () {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami').attr("src", url_image);
        });
        custom_uploader_hami.open();
    })

    jQuery(document).ready(function () {
        jQuery("#js-shop-category , #js-shop-state").select2({
            tags: true
        });
    })
</script>
